import * as $dara from '@darabonba/typescript';
export declare class CreateAutoProvisioningGroupResponseBodyLaunchResultsLaunchResultInstanceIds extends $dara.Model {
    instanceId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAutoProvisioningGroupResponseBodyLaunchResultsLaunchResult extends $dara.Model {
    amount?: number;
    errorCode?: string;
    errorMsg?: string;
    instanceIds?: CreateAutoProvisioningGroupResponseBodyLaunchResultsLaunchResultInstanceIds;
    instanceType?: string;
    spotStrategy?: string;
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAutoProvisioningGroupResponseBodyLaunchResults extends $dara.Model {
    launchResult?: CreateAutoProvisioningGroupResponseBodyLaunchResultsLaunchResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAutoProvisioningGroupResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the auto provisioning group.
     *
     * @example
     * apg-sn54avj8htgvtyh8****
     */
    autoProvisioningGroupId?: string;
    launchResults?: CreateAutoProvisioningGroupResponseBodyLaunchResults;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 745CEC9F-0DD7-4451-9FE7-8B752F39****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
